Extending Qt Creator Manual | ASTFunctionValue

Extending Qt Creator Manual 4.5.2

# ASTFunctionValue Class

(QmlJS::ASTFunctionValue)

Inherits: | QmlJS::FunctionValue

- List of all members, including inherited members

## Public Functions

| ASTFunctionValue(AST::FunctionExpression *ast, const Document *doc, ValueOwner *valueOwner)
| ~ASTFunctionValue()
AST::FunctionExpression * | ast() const

## Reimplemented Public Functions

virtual QString | argumentName(int index) const override
virtual const ASTFunctionValue * | asAstFunctionValue() const override
virtual bool | getSourceLocation(QString *fileName, int *line, int *column) const override
virtual bool | isVariadic() const override
virtual int | namedArgumentCount() const override

- 8 public functions inherited from QmlJS::FunctionValue
- 16 public functions inherited from QmlJS::ObjectValue
- 29 public functions inherited from QmlJS::Value

## Member Function Documentation

### ASTFunctionValue::ASTFunctionValue(AST::FunctionExpression *ast, const Document *doc, ValueOwner *valueOwner)

Default constructs an instance of ASTFunctionValue.

### ASTFunctionValue::~ASTFunctionValue()

Destroys the instance of ASTFunctionValue.

### `[override virtual]` QString ASTFunctionValue::argumentName(int index) const

### `[override virtual]` const ASTFunctionValue *ASTFunctionValue::asAstFunctionValue() const

### AST::FunctionExpression *ASTFunctionValue::ast() const

### `[override virtual]` bool ASTFunctionValue::getSourceLocation(QString *fileName, int *line, int *column) const

### `[override virtual]` bool ASTFunctionValue::isVariadic() const

### `[override virtual]` int ASTFunctionValue::namedArgumentCount() const